// Copyright 2021 Franziska (@kunsi)
// SPDX-License-Identifier: GPL-2.0-or-later

#pragma once

#include "quantum.h"

/* This is a shortcut to help you visually see your layout.
 *
 * The first section contains all of the arguments representing the physical
 * layout of the board and position of the keys.
 *
 * The second converts the arguments into a two-dimensional array which
 * represents the switch matrix.
 */
#define LAYOUT( \
    a01, b01, c01,    d01, e01, f01, g01, h01, j01, k01,         m01, n01, o01, p01, q01, r01, s01,    t01, u01, v01, \
    a02, b02, c02,    d02, e02, f02, g02, h02, j02,         l02, m02, n02, o02, p02, q02, r02, s02,    t02, u02, v02, \
                      d03, e03, f03, g03, h03, j03,         l03, m03, n03, o03, p03, q03, r03,                        \
         b04,         d04, e04, f04, g04, h04, j04, k04,         m04, n04, o04, p04, q04,      s04,         u04,      \
    a05, b05, c05,    d05, e05, f05,      h05,                        n05,      p05, q05, r05, s05,    t05, u05, v05  \
) { \
    { a01,   b01,   c01,   d01,   e01, f01, g01,   h01,   j01,   k01,   KC_NO }, \
    { a02,   b02,   c02,   d02,   e02, f02, g02,   h02,   j02,   KC_NO, KC_NO }, \
    { KC_NO, KC_NO, KC_NO, d03,   e03, f03, g03,   h03,   j03,   KC_NO, KC_NO }, \
    { KC_NO, b04,   KC_NO, d04,   e04, f04, g04,   h04,   j04,   k04,   KC_NO }, \
    { a05,   b05,   c05,   d05,   e05, f05, KC_NO, h05,   KC_NO, KC_NO, KC_NO }, \
    \
    { KC_NO, m01,   n01,   o01,   p01, q01, r01,   s01,   t01,   u01,   v01   }, \
    { l02,   m02,   n02,   o02,   p02, q02, r02,   s02,   t02,   u02,   v02   }, \
    { l03,   m03,   n03,   o03,   p03, q03, r03,   KC_NO, KC_NO, KC_NO, KC_NO }, \
    { KC_NO, m04,   n04,   o04,   p04, q04, KC_NO, s04,   KC_NO, u04,   KC_NO }, \
    { KC_NO, KC_NO, n05,   KC_NO, p05, q05, r05,   s05,   t05,   u05,   v05   }  \
}
